# Copyright 2021 (c) Anna Schumaker.
import tagdb
from gi.repository import Gtk
from . import artwork
from . import controls
from . import nowplaying
from . import player
from . import scale

Player = player.Player()

def Artwork(): return artwork.Artwork(Player)

class Header(Gtk.HeaderBar):
    def __init__(self):
        Gtk.HeaderBar.__init__(self)
        self.pack_start(controls.AudioControls(Player, Player.Autopause))
        self.pack_end(scale.ScaleButtonBox(scale.SeekScale(Player)))
        self.set_title_widget(nowplaying.NowPlaying(Player))


def play_track(track):
    if track == Player.track:
        return False
    Player.play_track(track)
    return True
