# Copyright 2021 (c) Anna Schumaker.
from gi.repository import Gtk

class Counter(Gtk.Adjustment):
    def __init__(self, min, max):
        Gtk.Adjustment.__init__(self)
        self.configure(value=min, lower=min, upper=max + 1, step_increment=1,
                                  page_increment=1, page_size=1)

    def __change_value__(self, n):
        value = self.get_value()
        self.set_value(value + n)

        if self.get_value() == value:
            return None
        return self.get_value()

    def increment(self):
        return self.__change_value__(1)

    def decrement(self):
        return self.__change_value__(-1)
