# Copyright 2021 (c) Anna Schumaker.
from . import metadata
from . import queue
from . import task
from . import widgets

Queue = queue.TaskQueue()


def ProgressBar():
    return widgets.ProgressBar(Queue)

def AddFolderButton():
    return widgets.AddFolderButton(Queue)

def UpdateButton(library):
    return widgets.UpdateButton(library, Queue)

def UpdateAllButton():
    return widgets.UpdateAllButton(Queue)

def RemoveButton(library):
    return widgets.RemoveButton(library, Queue)

def EnableSwitch(library):
    return widgets.EnableSwitch(library, Queue)


def commit():
    Queue.push(task.CommitTask())

def import_track(lib, track, playcount, lastplayed, playlists):
    Queue.push(task.ImportTask(lib, track, playcount, lastplayed, playlists))

def update_library(lib):
    Queue.push(task.CheckSchedulerTask(lib))

def remove_library(lib):
    Queue.push(task.RemoveLibrarySchedulerTask(lib))
