# Copyright 2021 (c) Anna Schumaker.
import audio
import db
from gi.repository import Gtk
from . import stack

class Sidebar(Gtk.Box):
    def __init__(self, panel):
        Gtk.Box.__init__(self)
        self.panel = panel
        switcher = stack.Switcher()
        box = stack.Box(switcher.get_stack())

        self.append(switcher)
        self.append(box)

        stak = switcher.get_stack()
        stak.connect("playlist-changed", self.playlist_changed)
        panel.set_playlist(stak.get_visible_child().get_selected_playlist())
        box.get_add_update_button().connect("add-to-playlist", self.add_to_playlist)

    def playlist_changed(self, stack, plist):
        self.panel.set_playlist(plist)

    def add_to_playlist(self, button, playlist):
        if playlist.can_add_remove_tracks():
            self.panel.add_selected_tracks(playlist)
