# Copyright 2021 (c) Anna Schumaker.
from . import icons
from . import window
from gi.repository import Gtk
import audio
import db

class EmmentalApplication(Gtk.Application):
    def __init__(self, *args, **kwargs):
        Gtk.Application.__init__(self, *args, application_id="org.gtk.emmental", **kwargs)

    def do_activate(self):
        self.window.present()

    def do_startup(self):
        self.window = window.Window()
        Gtk.Application.do_startup(self)
        self.add_window(self.window)

    def do_shutdown(self):
        db.sql.optimize()
        Gtk.Application.do_shutdown(self)

Application = EmmentalApplication()
